package cn.com.qmth.print.manage.controller;

import cn.com.qmth.print.manage.entity.ExamEntity;
import cn.com.qmth.print.manage.entity.UserEntity;
import cn.com.qmth.print.manage.service.ExamService;
import cn.com.qmth.print.manage.service.query.ExamQuery;
import cn.com.qmth.print.manage.service.query.ExamStudentQuery;
import cn.com.qmth.print.manage.service.query.UserQuery;
import com.qmth.boot.api.constant.ApiConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Date: 2021/11/16.
 */
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/exam")
public class ExamController {

    @Autowired
    private ExamService examService;

    /**
     * 批次分页查询
     *
     * @param query
     * @return
     */
    @RequestMapping(value = "/page", method = RequestMethod.POST)
    public Object page(@Validated ExamQuery query) {
        return examService.pageQuery(query);
    }

    /**
     * 批次查询
     *
     * @return
     */
    @RequestMapping(value = "/list", method = RequestMethod.POST)
    public Object list(@RequestParam Long orgId) {
        return examService.listByOrgId(orgId);
    }


    /**
     * 新增/修改批次
     *
     * @param exam
     * @return
     */
    @RequestMapping(value = "/save", method = RequestMethod.POST)
    public Object save(ExamEntity exam) {
        return examService.saveExam(exam);
    }

}
