package cn.com.qmth.print.manage.controller;

import cn.com.qmth.print.manage.service.ExamStudentService;
import cn.com.qmth.print.manage.service.query.ExamStudentQuery;
import com.qmth.boot.api.constant.ApiConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * @Date: 2021/11/16.
 */
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/student")
public class ExamStudentController {

    @Autowired
    private ExamStudentService examStudentService;

    /**
     * 导入考生数据
     *
     * @return
     */
    @RequestMapping(value = "/import", method = RequestMethod.POST)
    public Object importFile(@RequestParam Long examId, @RequestParam MultipartFile file) throws IOException {
        return examStudentService.importStudents(examId, file);
    }

    /**
     * 分页考生详情
     *
     * @return
     */
    @RequestMapping(value = "/detail", method = RequestMethod.POST)
    public Object studentDetail(@Validated ExamStudentQuery query) {
        return examStudentService.pageStudent(query);
    }

}
