package cn.com.qmth.print.manage.service.impl;

import cn.com.qmth.print.manage.dao.ExamDao;
import cn.com.qmth.print.manage.entity.ExamEntity;
import cn.com.qmth.print.manage.entity.ExamUserRelationEntity;
import cn.com.qmth.print.manage.service.ExamService;
import cn.com.qmth.print.manage.service.ExamUserRelationService;
import cn.com.qmth.print.manage.service.query.ExamQuery;
import cn.com.qmth.print.manage.vo.ExamVo;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.core.exception.StatusException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class ExamServiceImpl extends ServiceImpl<ExamDao, ExamEntity> implements ExamService {

    @Autowired
    ExamUserRelationService examUserRelationService;

    @Override
    public List<ExamEntity> listByOrgId(Long orgId) {
        QueryWrapper<ExamEntity> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(ExamEntity::getOrgId, orgId).orderByDesc(ExamEntity::getId);
        return null;
    }

    @Transactional
    @Override
    public Long saveExam(ExamEntity exam) {
        if (exam.getId() != null) {
            ExamEntity examEntity = this.getById(exam.getId());
            if (examEntity == null) {
                throw new StatusException("批次不存在");
            }

            // 删除用户绑定
            examUserRelationService.deleteByExamId(exam.getId());
        }
        this.saveOrUpdate(exam);

        // 保存用户绑定
        String[] userIds = exam.getUserIds().split(",");
        for (String userId : userIds) {
            ExamUserRelationEntity examUserRelationEntity = new ExamUserRelationEntity();
            examUserRelationEntity.setExamId(exam.getId());
            examUserRelationEntity.setUserId(Long.valueOf(userId));
            examUserRelationService.save(examUserRelationEntity);
        }
        return exam.getId();
    }

    @Override
    public IPage<ExamVo> pageQuery(ExamQuery query) {
        return null;
    }
}
